Skip to main content
GET
/
api
/
settings
/
tenant
Read Tenant Settings
curl --request GET \
  --url https://api.example.com/api/settings/tenant \
  --header 'Authorization: Bearer <token>'
{
  "limits": {
    "max_total_scans": 123,
    "max_concurrent_scans": 5,
    "max_queue_size": 50,
    "max_datasets": 123,
    "max_dataset_size_bytes": 123,
    "max_total_storage_bytes": 123,
    "max_users": 123,
    "config": {}
  },
  "usage": {
    "total_scans": 0,
    "running_scans": 0,
    "queued_scans": 0,
    "total_datasets": 0,
    "total_storage_bytes": 0,
    "total_users": 0
  },
  "updated_at": "2023-11-07T05:31:56Z",
  "updated_by": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Response

Successful Response

Complete tenant settings with limits and usage.

limits
TenantLimitsRead · object
required

Current tenant limit configuration.

usage
TenantUsageRead · object
required

Current tenant resource usage.

updated_at
string<date-time> | null
updated_by
integer | null